=== debian/changelog ===
footswitch (1.0.0) stable; urgency=medium

  * Initial release.

 -- drlkf <drlkf@drlkf.net>  Thu, 16 May 2024 19:27:47 +0200
